> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /publisher/:uid/status

> Provides the onboarding tasks for the given publisher, and their status



## OpenAPI

````yaml /openapi.json get /v1/publisher/{uid}/status
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/publisher/{uid}/status:
    get:
      tags:
        - Publisher/Publisher Meta
        - public
      summary: /publisher/:uid/status
      description: Provides the onboarding tasks for the given publisher, and their status
      parameters:
        - name: uid
          in: path
          description: Publisher ID
          required: true
          example: 18253
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      domain:
                        type: string
                      label:
                        type: string
                        nullable: true
                      tasks:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                            actionable:
                              type: boolean
                            required:
                              type: boolean
                            dependant:
                              type: array
                              items:
                                type: string
                            complete:
                              type: boolean
                            text_snippet:
                              type: string
                            target:
                              type: object
                              properties:
                                label:
                                  type: string
                                id:
                                  type: integer
                              required:
                                - label
                            status:
                              type: string
                          required:
                            - type
                            - actionable
                            - required
                            - dependant
                            - complete
                            - text_snippet
                            - target
                    required:
                      - domain
                      - label
                      - tasks
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  domain: example.com
                  label: null
                  tasks:
                    - type: tag_config
                      actionable: true
                      required: true
                      dependant: []
                      complete: true
                      text_snippet: ''
                    - type: ads_txt
                      actionable: true
                      required: true
                      dependant:
                        - tag_config
                      complete: false
                      text_snippet: Your ads.txt does not contain all the required lines.
                    - type: billing
                      actionable: true
                      required: true
                      dependant:
                        - tag_config
                      complete: false
                      text_snippet: Payout billing profile needed.
                    - type: mcm_accepted
                      actionable: true
                      required: true
                      dependant:
                        - tag_config
                      complete: false
                      text_snippet: MCM not set up
                      target:
                        label: Content Ignite
                        id: 2
                      status: NOT_SET_UP
                    - type: site_approved
                      actionable: true
                      required: true
                      dependant:
                        - tag_config
                        - mcm_accepted
                        - ads_txt
                      complete: false
                      text_snippet: Site not set up, or mismatch in domain and/or MCM ID
                      target:
                        label: Content Ignite
                    - type: terms_accepted
                      actionable: true
                      required: true
                      dependant: []
                      complete: true
                      text_snippet: ''
                    - type: ci_approved
                      actionable: true
                      required: true
                      dependant: []
                      complete: true
                      text_snippet: Organisation and publisher approval have been granted.
                    - type: go_live
                      actionable: true
                      required: true
                      dependant:
                        - tag_config
                        - site_approved
                        - ads_txt
                        - billing
                        - terms_accepted
                        - ci_approved
                      complete: true
                      text_snippet: ''
                    - type: ramping
                      actionable: true
                      required: true
                      dependant:
                        - tag_config
                        - site_approved
                        - ads_txt
                        - ci_approved
                        - go_live
                      complete: false
                      text_snippet: ''
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````